Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.pix.source
Class PixSource

    java.lang.Object
      org.eclipse.ohf.ihe.common.hl7v2.mllpclient.Client
          org.eclipse.ohf.ihe.pix.source.PixSource

    public class PixSource

extends Client

This class implements the PIX/PDQ Client Patient Identity Source. This actor's role is in initiating the Patient Identify Feed Transaction. In doing so it provides notification to the Patient Identifier Cross-Reference Manager and Document Registry for patient identification related events including: creation, updates, & merges.

Accepts: ADT-A01,ADT-A04,ADT-A05,ADT-A08,ADT-A40
IHE HL7 Segments: MSH,EVN,PID,[MRG],PV1
IHE HL7 Standard: HL7 2.3.1

PIXFeedMgr transactions:
ADT-A01 - Admission of an inpatient into a facility
ADT-A04 - Registration of an outpatient for a visit to the facility
ADT-A05 - Pre-admission of an inpatient
ADT-A08 - Update patient information
ADT-A40 - Merge patient information

See IT Infrastructure Technical Framework Vol 2 > IHE Transactions > Patient Identity Feed

Author:
  Sondra Renly

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.common.hl7v2.mllpclient.Client
`ATNA_PDQ_AUDITSOURCE, ATNA_PIXC_AUDITSOURCE, ATNA_PIXS_AUDITSOURCE, SEND_MLLP_DEST`

Constructor Summary
`PixSource()` Constructs a PIX Source Client object.
`PixSource(java.io.InputStream conformanceProfile)` Constructs a PIX Source Client object.

Method Summary
`PixMsgAdmitInpatient` | `admitInpatient(java.lang.String patientId)` ADT_A01 Admit Inpatient - create message
`PixMsgAdmitInpatient` | `admitInpatient(java.lang.String patientId, java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` ADT_A01 Admit Inpatient - create message
`PixMsgMergePatient` | `mergePatient(java.lang.String patientId, java.lang.String patientClass, java.lang.String priorId)` ADT_A40 Merge Patient - create a message
`PixMsgMergePatient` | `mergePatient(java.lang.String patientId, java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType, java.lang.String patientClass, java.lang.String priorId)` ADT_A40 Merge Patient - create a message
`PixMsgPreadmitInpatient` | `preadmitInpatient(java.lang.String patientId)` ADT_A05 Preadmit Inpatient - create message
`PixMsgPreadmitInpatient` | `preadmitInpatient(java.lang.String patientId, java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` ADT_A05 Preadmit Inpatient - create message
`PixMsgRegisterOutpatient` | `registerOutpatient(java.lang.String patientId)` ADT_A04 Register Outpatient - create message
`PixMsgRegisterOutpatient` | `registerOutpatient(java.lang.String patientId, java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType)` ADT_A04 Register Outpatient - create message
`org.eclipse.ohf.hl7v2.core.message.model.Message` | `sendAdmission(org.eclipse.ohf.hl7v2.core.message.model.Message msg, boolean verify, java.lang.String auditUser)` ADT_A01 Admit Inpatient - send message
`PixSourceResponse` | `sendAdmission(PixMsgAdmitInpatient msg, boolean verify, java.lang.String auditUser)` ADT_A01 Admit Inpatient - send message
`java.lang.String` | `sendAdmission(java.lang.String rawHL7, boolean verify, java.lang.String auditUser)` ADT_A01 Admit Inpatient - send message
`org.eclipse.ohf.hl7v2.core.message.model.Message` | `sendMerge(org.eclipse.ohf.hl7v2.core.message.model.Message msg, boolean verify, java.lang.String auditUser)` ADT_A40 Merge Patient - send message
`PixSourceResponse` | `sendMerge(PixMsgMergePatient msg, boolean verify, java.lang.String auditUser)` ADT_A40 Merge Patient - send message
`java.lang.String` | `sendMerge(java.lang.String rawHL7, boolean verify, java.lang.String auditUser)` ADT_A40 Merge Patient - send message
`org.eclipse.ohf.hl7v2.core.message.model.Message` | `sendPreAdmission(org.eclipse.ohf.hl7v2.core.message.model.Message msg, boolean verify, java.lang.String auditUser)` ADT_A05 Preadmit Inpatient - send message
`PixSourceResponse` | `sendPreAdmission(PixMsgPreadmitInpatient msg, boolean verify, java.lang.String auditUser)` ADT_A05 Preadmit Inpatient - send message
`java.lang.String` | `sendPreAdmission(java.lang.String rawHL7, boolean verify, java.lang.String auditUser)` ADT_A05 Preadmit Inpatient - send message
`org.eclipse.ohf.hl7v2.core.message.model.Message` | `sendRegistration(org.eclipse.ohf.hl7v2.core.message.model.Message msg, boolean verify, java.lang.String auditUser)` ADT_A04 Register Outpatient - send message
`PixSourceResponse` | `sendRegistration(PixMsgRegisterOutpatient msg, boolean verify, java.lang.String auditUser)` ADT_A04 Register Outpatient - send message
`java.lang.String` | `sendRegistration(java.lang.String rawHL7, boolean verify, java.lang.String auditUser)` ADT_A04 Register Outpatient - send message
`org.eclipse.ohf.hl7v2.core.message.model.Message` | `sendUpdate(org.eclipse.ohf.hl7v2.core.message.model.Message msg, boolean verify, java.lang.String auditUser)` ADT_A08 Update Patient - send message
`PixSourceResponse` | `sendUpdate(PixMsgUpdatePatient msg, boolean verify, java.lang.String auditUser)` ADT_A08 Update Patient - send message
`java.lang.String` | `sendUpdate(java.lang.String rawHL7, boolean verify, java.lang.String auditUser)` ADT_A08 Update Patient - send message
`PixMsgUpdatePatient` | `updatePatient(java.lang.String patientId, java.lang.String patientClass)` ADT_A08 Update Patient - create message
`PixMsgUpdatePatient` | `updatePatient(java.lang.String patientId, java.lang.String namespaceId, java.lang.String universalId, java.lang.String universalIdType, java.lang.String patientClass)` ADT_A08 Update Patient - create message

Methods inherited from class org.eclipse.ohf.ihe.common.hl7v2.mllpclient.Client
`getConformanceProfileValidationItems, getCPProfile, getHL7DefinitionValidationItems, getMaxVerifyEvent, getMessageManager, getMLLPDestination, getURI, isCanVerifyConformanceProfile, isDoAudit, sendHL7, sendMsg, setConformanceProfile, setConformanceProfileUseToFalse, setDoAudit, setMaxVerifyEvent, setMessageManager, setMLLPDestination`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PixSource

    public PixSource()
              throws ClientException

  Constructs a PIX Source Client object.

  Throws:
    `ClientException`

### PixSource

    public PixSource(java.io.InputStream conformanceProfile)
              throws ClientException

  Constructs a PIX Source Client object.

  Parameters:
    `conformanceProfile` - - XML file (ex. resources > conf > ADT-A04(register outpatient).XML)
  Throws:
    `ClientException`

Method Detail

### admitInpatient

    public PixMsgAdmitInpatient admitInpatient(java.lang.String patientId)
                                        throws PixSourceException

  ADT_A01 Admit Inpatient - create message

  Parameters:
    `patientId` -
  Returns:
    PixMsgAdmitInpatient
  Throws:
    `PixSourceException`

### admitInpatient

    public PixMsgAdmitInpatient admitInpatient(java.lang.String patientId,
                                               java.lang.String namespaceId,
                                               java.lang.String universalId,
                                               java.lang.String universalIdType)
                                        throws PixSourceException

  ADT_A01 Admit Inpatient - create message

  Parameters:
    `patientId` -
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Returns:
    PixMsgAdmitInpatient
  Throws:
    `PixSourceException`

### sendAdmission

    public java.lang.String sendAdmission(java.lang.String rawHL7,
                                          boolean verify,
                                          java.lang.String auditUser)
                                   throws PixSourceException

  ADT_A01 Admit Inpatient - send message

  Parameters:
    `rawHL7` - - hl7v2 message
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    Message
  Throws:
    `PixSourceException`

### sendAdmission

    public org.eclipse.ohf.hl7v2.core.message.model.Message sendAdmission(org.eclipse.ohf.hl7v2.core.message.model.Message msg,
                                                                          boolean verify,
                                                                          java.lang.String auditUser)
                                                                   throws PixSourceException

  ADT_A01 Admit Inpatient - send message

  Parameters:
    `msg` - - hl7v2 message (org.eclipse.ohf.hl7v2.core)
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    Message
  Throws:
    `PixSourceException`

### sendAdmission

    public PixSourceResponse sendAdmission(PixMsgAdmitInpatient msg,
                                           boolean verify,
                                           java.lang.String auditUser)
                                    throws PixSourceException

  ADT_A01 Admit Inpatient - send message

  Parameters:
    `msg` - - PixMsgAdmitInpatient
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    PixSourceResponse
  Throws:
    `PixSourceException`

### registerOutpatient

    public PixMsgRegisterOutpatient registerOutpatient(java.lang.String patientId)
                                                throws PixSourceException

  ADT_A04 Register Outpatient - create message

  Parameters:
    `patientId` -
  Returns:
    PixMsgRegisterOutpatient
  Throws:
    `PixSourceException`

### registerOutpatient

    public PixMsgRegisterOutpatient registerOutpatient(java.lang.String patientId,
                                                       java.lang.String namespaceId,
                                                       java.lang.String universalId,
                                                       java.lang.String universalIdType)
                                                throws PixSourceException

  ADT_A04 Register Outpatient - create message

  Parameters:
    `patientId` -
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Returns:
    PixMsgRegisterOutpatient
  Throws:
    `PixSourceException`

### sendRegistration

    public java.lang.String sendRegistration(java.lang.String rawHL7,
                                             boolean verify,
                                             java.lang.String auditUser)
                                      throws PixSourceException

  ADT_A04 Register Outpatient - send message

  Parameters:
    `rawHL7` - - hl7v2 message
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    PixSourceResponse
  Throws:
    `PixSourceException`

### sendRegistration

    public org.eclipse.ohf.hl7v2.core.message.model.Message sendRegistration(org.eclipse.ohf.hl7v2.core.message.model.Message msg,
                                                                             boolean verify,
                                                                             java.lang.String auditUser)
                                                                      throws PixSourceException

  ADT_A04 Register Outpatient - send message

  Parameters:
    `msg` - - hl7v2 message (org.eclipse.ohf.hl7v2.core)
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    PixSourceResponse
  Throws:
    `PixSourceException`

### sendRegistration

    public PixSourceResponse sendRegistration(PixMsgRegisterOutpatient msg,
                                              boolean verify,
                                              java.lang.String auditUser)
                                       throws PixSourceException

  ADT_A04 Register Outpatient - send message

  Parameters:
    `msg` - - PixMsgResgisterOutpatient
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    PixSourceResponse
  Throws:
    `PixSourceException`

### preadmitInpatient

    public PixMsgPreadmitInpatient preadmitInpatient(java.lang.String patientId)
                                              throws PixSourceException

  ADT_A05 Preadmit Inpatient - create message

  Parameters:
    `patientId` -
  Returns:
    PixMsgPreadmitInpatient
  Throws:
    `PixSourceException`

### preadmitInpatient

    public PixMsgPreadmitInpatient preadmitInpatient(java.lang.String patientId,
                                                     java.lang.String namespaceId,
                                                     java.lang.String universalId,
                                                     java.lang.String universalIdType)
                                              throws PixSourceException

  ADT_A05 Preadmit Inpatient - create message

  Parameters:
    `patientId` -
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
  Returns:
    PisMsgPreadmitInpatient
  Throws:
    `PixSourceException`

### sendPreAdmission

    public java.lang.String sendPreAdmission(java.lang.String rawHL7,
                                             boolean verify,
                                             java.lang.String auditUser)
                                      throws PixSourceException

  ADT_A05 Preadmit Inpatient - send message

  Parameters:
    `rawHL7` - - hl7v2 message
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    Message
  Throws:
    `PixSourceException`

### sendPreAdmission

    public org.eclipse.ohf.hl7v2.core.message.model.Message sendPreAdmission(org.eclipse.ohf.hl7v2.core.message.model.Message msg,
                                                                             boolean verify,
                                                                             java.lang.String auditUser)
                                                                      throws PixSourceException

  ADT_A05 Preadmit Inpatient - send message

  Parameters:
    `msg` - - hl7v2 message (org.eclipse.ohf.hl7v2.core)
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    Message
  Throws:
    `PixSourceException`

### sendPreAdmission

    public PixSourceResponse sendPreAdmission(PixMsgPreadmitInpatient msg,
                                              boolean verify,
                                              java.lang.String auditUser)
                                       throws PixSourceException

  ADT_A05 Preadmit Inpatient - send message

  Parameters:
    `msg` - - PixMsgPreadmitInpatient
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    PixSourceResponse
  Throws:
    `PixSourceException`

### updatePatient

    public PixMsgUpdatePatient updatePatient(java.lang.String patientId,
                                             java.lang.String patientClass)
                                      throws PixSourceException

  ADT_A08 Update Patient - create message

  Parameters:
    `patientId` -
    `patientClass` -
  Returns:
    PixMsgUpdatePatient
  Throws:
    `PixSourceException`

### updatePatient

    public PixMsgUpdatePatient updatePatient(java.lang.String patientId,
                                             java.lang.String namespaceId,
                                             java.lang.String universalId,
                                             java.lang.String universalIdType,
                                             java.lang.String patientClass)
                                      throws PixSourceException

  ADT_A08 Update Patient - create message

  Parameters:
    `patientId` -
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
    `patientClass` -
  Returns:
    PixMsgUpdatePatient
  Throws:
    `PixSourceException`

### sendUpdate

    public java.lang.String sendUpdate(java.lang.String rawHL7,
                                       boolean verify,
                                       java.lang.String auditUser)
                                throws PixSourceException

  ADT_A08 Update Patient - send message

  Parameters:
    `rawHL7` - - hl7v2 message
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    Message
  Throws:
    `PixSourceException`

### sendUpdate

    public org.eclipse.ohf.hl7v2.core.message.model.Message sendUpdate(org.eclipse.ohf.hl7v2.core.message.model.Message msg,
                                                                       boolean verify,
                                                                       java.lang.String auditUser)
                                                                throws PixSourceException

  ADT_A08 Update Patient - send message

  Parameters:
    `msg` - - hl7v2 message (org.eclipse.ohf.hl7v2.core)
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    Message
  Throws:
    `PixSourceException`

### sendUpdate

    public PixSourceResponse sendUpdate(PixMsgUpdatePatient msg,
                                        boolean verify,
                                        java.lang.String auditUser)
                                 throws PixSourceException

  ADT_A08 Update Patient - send message

  Parameters:
    `msg` - - PixMsgUpdatePatient
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    PixSourceResponse
  Throws:
    `PixSourceException`

### mergePatient

    public PixMsgMergePatient mergePatient(java.lang.String patientId,
                                           java.lang.String patientClass,
                                           java.lang.String priorId)
                                    throws PixSourceException

  ADT_A40 Merge Patient - create a message

  Parameters:
    `patientId` -
    `patientClass` -
    `priorId` -
  Returns:
    PixMsgMergePatient
  Throws:
    `PixSourceException`

### mergePatient

    public PixMsgMergePatient mergePatient(java.lang.String patientId,
                                           java.lang.String namespaceId,
                                           java.lang.String universalId,
                                           java.lang.String universalIdType,
                                           java.lang.String patientClass,
                                           java.lang.String priorId)
                                    throws PixSourceException

  ADT_A40 Merge Patient - create a message

  Parameters:
    `patientId` -
    `namespaceId` - (assigningAuthority > namespaceId)
    `universalId` - (assigningAuthority > universalId)
    `universalIdType` - (assigningAuthority > universalIdType)
    `patientClass` -
    `priorId` -
  Returns:
    PixMsgMergePatient
  Throws:
    `PixSourceException`

### sendMerge

    public java.lang.String sendMerge(java.lang.String rawHL7,
                                      boolean verify,
                                      java.lang.String auditUser)
                               throws PixSourceException

  ADT_A40 Merge Patient - send message

  Parameters:
    `rawHL7` - - hl7v2 message
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    Message
  Throws:
    `PixSourceException`

### sendMerge

    public org.eclipse.ohf.hl7v2.core.message.model.Message sendMerge(org.eclipse.ohf.hl7v2.core.message.model.Message msg,
                                                                      boolean verify,
                                                                      java.lang.String auditUser)
                                                               throws PixSourceException

  ADT_A40 Merge Patient - send message

  Parameters:
    `msg` - - Message (not PixMsgMergePatient!)
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    Message
  Throws:
    `PixSourceException`

### sendMerge

    public PixSourceResponse sendMerge(PixMsgMergePatient msg,
                                       boolean verify,
                                       java.lang.String auditUser)
                                throws PixSourceException

  ADT_A40 Merge Patient - send message

  Parameters:
    `msg` - - PixMsgMergePatient
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    PixSourceResponse
  Throws:
    `PixSourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD